
QGIS Application - Bug report #18320

XYZ Tiles (Google Maps) eats up all RAM

2018-03-03 05:55 AM - Kory Roberts

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/XYZ

Affected QGIS version:3.1(master) Regression?: No

Operating System: Linux Mint 18.3 Cinnamon Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26210

Description

I'm using XYZ tiles with the following URL:

https://mt.google.com/vt/lyrs=p&#38;x={x}&#38;y={y}&#38;z={z}

Move and zoom around, loading new tiles.  Watch RAM usage...it continues to go up without stop until computer runs out of RAM. 

Although it doesn't technically crash QGIS, it might as well without any RAM left.

I'm not sure if this is related to previous reports of memory leaks or something new.

History

#1 - 2018-03-03 07:26 AM - Nyall Dawson

- Status changed from Open to Feedback

Can't reproduce. Can you post more steps on how to see this issue? Do you also see in on 2.18?

#2 - 2018-03-03 09:23 AM - Giovanni Manghi

- Affected QGIS version changed from master to 3.1(master)

#3 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

#4 - 2019-04-18 09:12 AM - Faiz Kidwai

Facing this issue in QGIS 3.6, when rendering tiles,through pyqgis, from local machine using url:

file:///path/to/tiles/{z}/{x}/{y}.png

I have set the min and max zoom level to 14 (cz I only have those imagery at that level).

I tried loading a single layer but even then the RAM usage goes to 4GB at times.

I need to load around 15 layers of this type and when I do QGIS ends up eating all the RAM and the system freezes
